/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/


package gov.va.med.fw.batchprocess.model;

import gov.va.med.fw.model.lookup.AbstractSimpleLookup;

/**
 * Initial javadoc for class JobStatus.
 * TODO - Add content here
 * 
 * Created Sep 21, 2006 3:50:42 PM
 * @author DNS   BOHMEG
 */
public class JobStatus extends AbstractSimpleLookup {
	/**
	 * serialVersionUID long
	 */
	private static final long serialVersionUID = -779506178555155902L;
	public static final JobStatus IN_PROCESS = new JobStatus("IN_PROCESS");
	public static final JobStatus ERROR = new JobStatus("ERROR");
	public static final JobStatus CANCELLED = new JobStatus("CANCELLED");
	public static final JobStatus NOT_EXECUTED_SINCE_INFLIGHT_PROCESS = new JobStatus("NOT_EXECUTED_SINCE_INFLIGHT_PROCESS");
	public static final JobStatus COMPLETE = new JobStatus("COMPLETE");
	public static final JobStatus COMPLETE_WITH_ERROR = new JobStatus("COMPLETE_WITH_ERROR");
	
	private JobStatus(String code) {
		super(code);		
	}
}
